Agora RTC Objective-C API Reference Refactor

Properties
AgoraRtcMediaStreamInfo Class Reference

Inherits <NSObject>.

## Properties
NSInteger | streamIndex
AgoraMediaStreamType | streamType
NSString *_Nonnull | codecName
NSString *_Nullable | language
NSInteger | videoFrameRate
NSInteger | videoBitRate
NSInteger | videoWidth
NSInteger | videoHeight
NSInteger | audioSampleRate
NSInteger | audioChannels
NSInteger | duration
NSInteger | rotation

## Detailed Description

The AgoraMediaStreamInfo class, reporting the whole detailed information of the media stream.

## Property Documentation

## ◆ streamIndex

- (NSInteger) streamIndex
| readwritenonatomicassign

The index of the media stream.

## ◆ streamType

- (AgoraMediaStreamType) streamType
| readwritenonatomicassign

The type of the media stream. See AgoraMediaStreamType for details.

## ◆ codecName

- (NSString* _Nonnull) codecName
| readwritenonatomiccopy

The codec of the media stream.

## ◆ language

- (NSString* _Nullable) language
| readwritenonatomiccopy

The language of the media stream.

## ◆ videoFrameRate

- (NSInteger) videoFrameRate
| readwritenonatomicassign

For video stream, gets the frame rate (fps).

## ◆ videoBitRate

- (NSInteger) videoBitRate
| readwritenonatomicassign

For video stream, gets the bitrate (bps).

## ◆ videoWidth

- (NSInteger) videoWidth
| readwritenonatomicassign

For video stream, gets the width (pixel) of the video.

## ◆ videoHeight

- (NSInteger) videoHeight
| readwritenonatomicassign

For video stream, gets the height (pixel) of the video.

## ◆ audioSampleRate

- (NSInteger) audioSampleRate
| readwritenonatomicassign

For the audio stream, gets the sample rate (Hz).

## ◆ audioChannels

- (NSInteger) audioChannels
| readwritenonatomicassign

For the audio stream, gets the channel number.

## ◆ duration

- (NSInteger) duration
| readwritenonatomicassign

The total duration (s) of the media stream.

## ◆ rotation

- (NSInteger) rotation
| readwritenonatomicassign

The rotation of the video stream.